﻿@model Tuple<MatrixModelView, ModelDescView>

<div tabindex="-1" class="modal fade in" id="ModalCatalogMatrix" role="dialog" aria-hidden="true" aria-labelledby="myModalLabel" style="display: none;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style="background-color: #A9AAAB;">
                <button class="close" aria-hidden="true" type="button" data-dismiss="modal">×</button>
                <h4 class="modal-title" id="myModalLabel">@PDM.ProducInfo</h4>
            </div>
            <div class="panel-body limited_height2">
                <div class="col-md-4 col-xs-4 col-sm-4">
                    <a id="trig" class="btn_hide_col"><i class="icon_sap icon_sap_67"></i></a>
                    <div class="galeria_pop" style=" width: 100%;">
                        <div id="carousel" class="carousel slide" data-ride="carousel">
                            <div class="carousel-inner">
                                @{
                                    int mCont = 0;
                                    foreach (var item in Model.Item1.ModelImagesList)
                                    {
                                        <div class='@(mCont == 0 ? "item active" : "item")' data-thumb="0">
                                            <img src="/images/@item.U_ModCode/@item.U_File">
                                        </div>
                                        mCont = 1;
                                    }
                                    if (Model.Item1.ModelImagesList.Count == 0)
                                    {
                                        <div class='@(mCont == 0 ? "item active" : "item")' data-thumb="0">
                                            <img src="/Content/img/noimage.gif">
                                        </div>
                                    }
                                }
                            </div>

                            <div class="info_model">
                                <strong>@PDM.ModelDesc :</strong> @Model.Item2.ModDescription                              
                                <br>
                                <strong>@PDM.Season :</strong> @Model.Item2.SeasonDesc
                                <br>
                                <strong>@PDM.Brand :</strong> @Model.Item2.BrandDesc 
                                <br>
                                <strong>@PDM.Coll :</strong> @Model.Item2.CollDesc 
                                <br>
                                <strong>@PDM.SubColl :</strong> @Model.Item2.SubCollDesc 
                                <br>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-8 col-sm-8 col-xs-8">
                    @Html.Partial("_ModelCatalogMatrixDetail", Tuple.Create(Model.Item1.SkuModelList, Model.Item1.SizeRunList, Model.Item1.ModelCode))
                </div>
            </div>
            <div class="clear"></div>
            <div class="modal-footer">
                <button class="btn btn-lg btn-default pull-right" type="button" data-dismiss="modal">@PDM.Cancel</button>
                <button id="ModelMatrixAddButton" class="btn btn-lg btn-success pull-right" type="button" onclick="PasteItems();">@PDM.Add</button>
            </div>
        </div>
    </div>
</div>

<style type="text/css">

    .carousel-inner > .item > img, .carousel-inner > .item > .active > img {
        width: auto;
        margin: auto;
        display: block;
    }

    .item .thumb {
        width: 25%;
        cursor: pointer;
        float: left;
    }

    .item .thumb img {
        width: auto;
        max-height: 80px;
        display: block;
    }

    .hide_col{ width:1px  !important; }
     .hide_col .info_model  { display:none; }
    .full_col{ width:96% !important; float:right;  }
    .btn_hide_col{ background-color:#fff; z-index: 999;  border:solid 1px #ccc;  border-radius:4px; display:block; height:35px; width:32px; text-align:center; line-height:30px; position:absolute; top:20px; left:15px; }
    .btn_hide_col i{ margin-left:8px;  }
    #trig { cursor:pointer; }
    .icon_sap_66::after { content: "\E066" !Important;}
    .info_model   { float:left; margin-top:30px; width:100%;  border-top: solid 6px #e6e6e6;   padding-top: 20px; }
    .carousel-inner > .item > img, .carousel-inner > .item > .active > img {  max-width: 150px; }
     @@media screen and (max-width: 820px) { .full_col{ width:90% !important; }
 }
  

</style>

<script type="text/javascript">
$('#trig').on('click', function () {
    $('.col-md-4').toggleClass('hide_col');
    $('.col-md-8').toggleClass('full_col');
	$('#trig i').toggleClass('icon_sap_66');
});
</script>